Skills
Delete a specific version of a skill
Removes the specified version of a skill.
Paramètres de chemin d’accès
name
string
obligatoire
The name of the skill.
version
string
obligatoire
The version identifier to delete.
Paramètres d’en-tête
Foundry-Features
enum
obligatoire
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Paramètres de la requête
api-version
string
obligatoire
The API version to use for this operation.
Réponses
The request has succeeded.
Corps
id
string
obligatoire
The unique identifier of the deleted skill version.
name
string
obligatoire
A skill name following the agentskills.io spec: lowercase letters, numbers, and hyphens only. Must not start or end with a hyphen or contain consecutive hyphens.
deleted
boolean
obligatoire
Whether the skill version was successfully deleted.
version
string
obligatoire
The version that was deleted.
Requête
DELETE /skills/{name}/versions/{version} HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json